package com.example.fragmentexample;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends FragmentActivity {

	FragmentOne fragmentOne;
	FragmentTwo fragmentTwo;
	FragmentThree fragmentThree;
	Button fragmentOneBtn;
	Button fragmentTwoBtn;
	Button fragmentThreeBtn;
	
	FragmentTransaction transaction;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		fragmentOneBtn = (Button)findViewById(R.id.fragButton1);
		fragmentTwoBtn = (Button)findViewById(R.id.fragButton2);
		fragmentThreeBtn = (Button)findViewById(R.id.fragButton3);
		
		fragmentOneBtn.setOnClickListener(fragmentOneBtnListener);
		fragmentTwoBtn.setOnClickListener(fragmentTwoBtnListener);
		fragmentThreeBtn.setOnClickListener(fragmentThreeBtnListener);
		
		fragmentOne = new FragmentOne();
		fragmentTwo = new FragmentTwo();
		fragmentThree = new FragmentThree();
		
		getSupportFragmentManager().beginTransaction().add(R.id.fragment_container, fragmentOne).commit();
	}

	private OnClickListener fragmentOneBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			transaction = getSupportFragmentManager().beginTransaction();
			transaction.replace(R.id.fragment_container, fragmentOne);
			transaction.commit();
		}
	};
	private OnClickListener fragmentTwoBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			transaction = getSupportFragmentManager().beginTransaction();
			transaction.replace(R.id.fragment_container, fragmentTwo);
			transaction.commit();
		}
	};
	private OnClickListener fragmentThreeBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			transaction = getSupportFragmentManager().beginTransaction();
			transaction.replace(R.id.fragment_container, fragmentThree);
			transaction.commit();
		}
	};
}
